<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class DropLocaleTables extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::table('property', function (Blueprint $table) {
            $table->dropColumn('destination_id');
        });
        Schema::dropIfExists('currency_locale');
        Schema::dropIfExists('language_locale');
        Schema::dropIfExists('permission_locale');
        Schema::dropIfExists('property_additional_info_key_locale');
        Schema::dropIfExists('property_channel_category_locale');
        Schema::dropIfExists('property_content_category_locale');
        Schema::dropIfExists('property_executive_type_locale');
        Schema::dropIfExists('property_fact_attribute_locale');
        Schema::dropIfExists('property_fact_locale');
        Schema::dropIfExists('property_photo_category_locale');
        Schema::dropIfExists('property_room_bed_type_locale');
        Schema::dropIfExists('property_room_type_locale');
        Schema::dropIfExists('property_type_locale');
        Schema::dropIfExists('property_unit_locale');
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
